Subject: [bug#36555] [PATCH v4 1/3] guix system: Add 'reconfigure' module.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 23 Aug 2019 23:00:56 +0200

Hi,

[email-masked] (Jakob L. Kreuze) skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> I wonder it we should just use
>>
>>   #~(begin (use-modules (guix build utils)) (invoke …))
>>
>> here and in other places.
>>
>> That’s probably better longer-term (for example when we switch to
>> Guile 3, that could ease the transition since the right Guile would be
>> used) but we can keep it this way and revisit it later.
>
> I've been playing with this for a little while now, and I'm having
> second thoughts regarding the use of 'invoke'. Any exceptions thrown in
> the callee are swallowed into an '&invoke-error', so context for failure
> in i.e. the activation script is lost. Also, does it really matter that
> the "right" Guile is being used for the activation scripts if the daemon
> is still going to be running the old Guile? WDYT?

I guess it only matters in corner cases—i.e., when switching Guiles.
And even then, we’re probably still able to evaluate code, so you’re
right that it’s not that big a deal.

And yeah, losing execution context isn’t great.

So maybe the status quo is not so bad after all!

Ludo’.